All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.taglib.servlet.tbeans.form
Class ListBoxTag

    com.sas.taglib.servlet.tbeans.form.ListBoxTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, javax.servlet.jsp.tagext.TryCatchFinally

Direct Known Subclasses:
  CellContentsListBoxEditorTag

    public class ListBoxTag

ListBoxTag is the tag handler class for the sas:ListBox custom tag . ListBoxTag is invoked by the JSP page to evaluate the sas:ListBox custom tag during the execution of the page. Tag handler methods are called by the JSP page implementation class at various points during the evaluation of the tag. The tag handler methods in turn call methods on the underlying Transformation Bean object, ListBox, to execute the methods.

If you need to extend or modify the functionality of the sas:ListBox custom tag, you can subclass this tag handler class.

For More Information:

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Refer to the Custom Tag Library Reference for usage information on the sas:ListBox custom tag.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.taglib.servlet.tbeans.form.BaseFormElementBodyTag
`accessKey, onBlur, onChange, onClick, onDblClick, onFocus, onKeyDown, onKeyPress, onKeyUp, onMouseDown, onMouseMove, onMouseOut, onMouseOver, onMouseUp, onSelect, styleClassPrefix, tabIndex`

Fields inherited from class com.sas.taglib.BaseBodyTag
`DELIMITERS`

Constructor Summary
`ListBoxTag()`

Method Summary
`protected void` | `applyAttributes()` Sets the attributes on the underlying ListBox object.
`int` | `doEndTag()` Process the end tag.
`int` | `doStartTag()` Processes the start tag for this instance.
`java.lang.String` | `getDescriptionModel()` Gets the descriptionmodel property of the ListBoxTag.
`boolean` | `getEnabled()` Gets the enabled attribute of the ListBoxTag.
`java.lang.String` | `getModel()` Gets the model property of the ListBoxTag.
`boolean` | `getMultipleSelections()` Gets the multiple property of the ListBoxTag.
`java.lang.String` | `getSelectedIndexes()` Gets the selectedindexes property of the ListBoxTag.
`java.lang.String` | `getSelectedItems()` Gets the selectedItems property of the ListBoxTag.
`java.lang.String` | `getSelectedItemsModel()` Gets the selectedItemsModel property of the ListBoxTag.
`int` | `getSize()` Returns the size property (int) of the ListBox.
`protected void` | `initialize(boolean includeAttributes)` Initializes attributes and variables for this tag handler.
`void` | `setDescriptionModel(java.lang.String descriptionmodel)` Sets the descriptionmodel property (String).
`void` | `setEnabled(boolean enabled)` Sets the enabled attribute (boolean) of the ListBoxTag.
`void` | `setModel(java.lang.String model)` Sets the model property (String).
`void` | `setMultipleSelections(boolean multiple)` Sets the multiple property (boolean).
`void` | `setSelectedIndexes(java.lang.String selectedindexes)` Sets the selectedindex property (int).
`void` | `setSelectedItems(java.lang.String selectedItems)` Sets the selectedItems property (String).
`void` | `setSelectedItemsModel(java.lang.String selectedItemsModel)` * Sets the selectedItemsModel property (String).
`void` | `setSize(int size)` Sets the size property (int) of the ListBox.

Methods inherited from class com.sas.taglib.servlet.tbeans.form.BaseFormElementBodyTag
`getAccessKey, getOnBlur, getOnChange, getOnClick, getOnDblClick, getOnFocus, getOnKeyDown, getOnKeyPress, getOnKeyUp, getOnMouseDown, getOnMouseMove, getOnMouseOut, getOnMouseOver, getOnMouseUp, getOnSelect, getStyleClassPrefix, getTabIndex, isEnabled, setAccessKey, setOnBlur, setOnChange, setOnClick, setOnDblClick, setOnFocus, setOnKeyDown, setOnKeyPress, setOnKeyUp, setOnMouseDown, setOnMouseMove, setOnMouseOut, setOnMouseOver, setOnMouseUp, setOnSelect, setStyleClassPrefix, setTabIndex`

Methods inherited from class com.sas.taglib.servlet.tbeans.BaseTransformationBodyTag
`getCustomAttributes, getEpilog, getLocale, getName, getObjectDataProperty, getProlog, getRender, getRenderType, setCustomAttributes, setEpilog, setLocale, setName, setObjectDataProperty, setProlog, setRender, setRenderType`

Methods inherited from class com.sas.taglib.BaseBodyTag
`doCatch, doFinally, getApplyAttributes, getBodyStrings, getCompositeComponentKey, getInstantiate, getPageContext, getRef, getScope, getTagScope, getWrappedClassName, getWrappedObject, getWrappedObject, loadBeanInstance, newInstance, release, removeFromScope, searchContext, setApplyAttributes, setCompositeComponentKey, setInstantiate, setRef, setScope, setTagScope, setVariableWithinScope, setWrappedClassName, setWrappedObject, validate`

Constructor Detail

### ListBoxTag

    public ListBoxTag()

Method Detail

### initialize

    protected void initialize(boolean includeAttributes)

  Initializes attributes and variables for this tag handler.

  Overrides:
    `initialize` in class `BaseFormElementBodyTag`
  Parameters:
    `includeAttributes` - Set to true if attributes are to be set to default values.

### setModel

    public void setModel(java.lang.String model)

  Sets the model property (String). The model String is used to find the model (with in the specified scope) to create the Custom Tag against.

  Parameters:
    `model` - The model of the ListBox.

### getModel

    public java.lang.String getModel()

  Gets the model property of the ListBoxTag.

  Returns:
    the model attribute of the ListBoxTag

### setDescriptionModel

    public void setDescriptionModel(java.lang.String descriptionmodel)

  Sets the descriptionmodel property (String). The descriptionmodel String is used to find the descriptionmodel (with in the specified scope) to create the Custom Tag against.

  Parameters:
    `descriptionmodel` - Alternate display name for items in the model at run-time.

### getDescriptionModel

    public java.lang.String getDescriptionModel()

  Gets the descriptionmodel property of the ListBoxTag.

  Returns:
    the descriptionmodel attribute of the ListBoxTag

### setMultipleSelections

    public void setMultipleSelections(boolean multiple)

  Sets the multiple property (boolean). The multiple String specifies whether or not multiple items can be selected in the ListBox. Valid values are: true or false.

  Parameters:
    `multiple` - Specifies whether or not multiple items can be selected in the ListBox.

### getMultipleSelections

    public boolean getMultipleSelections()

  Gets the multiple property of the ListBoxTag.

  Returns:
    the multiple attribute of the ListBoxTag

### setSize

    public void setSize(int size)

  Sets the size property (int) of the ListBox. The size String is used to set the number of viewable options at one time in the ListBox.

  Parameters:
    `size` - The viewable size of the ListBox at one time.

### getSize

    public int getSize()

  Returns the size property (int) of the ListBox. The size String is used to set the number of viewable options at one time in the ListBox.

### setSelectedIndexes

    public void setSelectedIndexes(java.lang.String selectedindexes)

  Sets the selectedindex property (int). The selectedindex String is used to select the items located at the specified indexes. The selectedindex String should be one or more integers separated by spaces.

  Parameters:
    `selectedindex` - A space-delimitted string of index numbers for selected items in the ListBox.

### getSelectedIndexes

    public java.lang.String getSelectedIndexes()

  Gets the selectedindexes property of the ListBoxTag.

  Returns:
    the selectedindexes attribute of the ListBoxTag

### setSelectedItems

    public void setSelectedItems(java.lang.String selectedItems)

  Sets the selectedItems property (String). The selectedItems String is used to select the items. The selectedItems String should be one or more strings separated by commas.

  Parameters:
    `selectedItems` - A comma-delimitted string of selected items specified in the ListBox.

### getSelectedItems

    public java.lang.String getSelectedItems()

  Gets the selectedItems property of the ListBoxTag.

  Returns:
    the selectedItems attribute of the ListBoxTag

### setSelectedItemsModel

    public void setSelectedItemsModel(java.lang.String selectedItemsModel)

  * Sets the selectedItemsModel property (String). The selectedItemsModel String is used to find the selected items model (with in the specified scope) to select the items of the ListBox.

  Parameters:
    `selectedItemsModel` - The model of selected items specified in the ListBox.

### getSelectedItemsModel

    public java.lang.String getSelectedItemsModel()

  Gets the selectedItemsModel property of the ListBoxTag.

  Returns:
    the selectedItemsModel attribute of the ListBoxTag

### setEnabled

    public void setEnabled(boolean enabled)

  Sets the enabled attribute (boolean) of the ListBoxTag. Valid values are: true, false.

  Overrides:
    `setEnabled` in class `BaseFormElementBodyTag`
  Parameters:
    `enabled` - The state of the ListBox element; "false" results in a disabled listbox.
  See Also:
    `BaseFormElementBodyTag.isEnabled()`

### getEnabled

    public boolean getEnabled()

  Gets the enabled attribute of the ListBoxTag.

  Returns:
    true if the listbox is enabled

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Processes the start tag for this instance. The doStartTag() method assumes that all setter methods have been invoked before. When this method is invoked, the body has not yet been invoked.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `BaseTransformationBodyTag`
  Returns:
    int designating the next course of action for the tag/jsp page.
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if some type of JSP error occurs
  See Also:
    `BaseBodyTag.setInstantiate(boolean)`, `TagSupport.doStartTag()`

### applyAttributes

    protected void applyAttributes()
                            throws javax.servlet.jsp.JspException

  Sets the attributes on the underlying ListBox object.

  Overrides:
    `applyAttributes` in class `BaseFormElementBodyTag`
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if some type of JSP error occurs

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Process the end tag. This method will be called on all Tag objects.

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `BaseTransformationBodyTag`
  Returns:
    int designating the next course of action for the tag/jsp page.
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if some type of JSP error occurs
  See Also:
    `TagSupport.doEndTag()`, `BaseBodyTag.setInstantiate(boolean)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.